Veritas Cluster Server 5.1 Maintenance Pack 2 Patch 1 for VMware ESX ( 5.1 MP2 P1 )

Article:TECH63599  |  Created: 2008-01-25  |  Updated: 2009-01-25  |  Article URL http://www.symantec.com/docs/TECH63599
Article Type
Technical Solution


Environment

Issue



Veritas Cluster Server 5.1 Maintenance Pack 2 Patch 1 for VMware ESX ( 5.1 MP2 P1 )

Solution




Click on the Download Now link below and then use these commands to unpack and install the patch.

# mv vcs-esx30_i686-5.1MP2P1-rpms.tar_308934.gz vcs-esx30_i686-5.1MP2P1-rpms.tar.gz

# cksum vcs-esx30_i686-5.1MP2P1-rpms.tar.gz
2939555 1945324 vcs-esx30_i686-5.1MP2P1-rpms.tar.gz

# gzip -d vcs-esx30_i686-5.1MP2P1-rpms.tar.gz

# tar -xf vcs-esx30_i686-5.1MP2P1-rpms.tar

# cat README

CUMULATIVE PATCH FOR LLT, GAB FOR VERITAS CLUSTER SERVER 5.1MP2 on ESX
======================================================================
Name:5.1MP2P1

Date:2008-09-24

OS:VMware ESX

OS Version:3.5 Update 2

Packages:VRTSllt, VRTSgab

Etrack Incidents: 1408189


RELEVANT ARCHITECTURES:x86

Errors/Problems Fixed:

The following is a brief description of the bug fixed in this patch.

-----
Incident Number: 1408189
Abstract: ESX 3.5 U2 breaks kABI which stops llt/gab from loading.
Brief Description:
ESX 3.5 Update 2 breaks kABI so VCS for ESX 5.1 no longer loads llt/gab
modules due to unknown symbols.
----

MD5SUM:
------
84db5abf4840fcaae3a8cd52ab34b499  VRTSgab-5.1.40.01-MP2P1_ESX30.i686.rpm
97cd646739a749cf11a195ae8e6582dd  VRTSllt-5.1.40.01-MP2P1_ESX30.i686.rpm

Install/Uninstall Instructions:
--------------------------------
The patch needs to be installed after installing
Veritas Cluster Server 5.1MP2.

-------------------------------------------------
*** Steps to be run on any system in the cluster:
-------------------------------------------------

1. Stop VCS on all nodes. VCS is stopped by using the following command on
  any node in the cluster:

       "hastop -all"

  Note: If you want to keep virtual machines alive on ESX during installing
  the patch, using following command to stop VCS instead:

       "hastop -all -force"

---------------------------------------------------
*** Steps to be run on every system in the cluster:
---------------------------------------------------

2. Log on as superuser on the system where the point patch is to be installed.

3. Stop GAB and LLT modules using the following command:

       "/etc/init.d/gab stop"
       "/etc/init.d/llt stop"

4. Upgrade VRTSllt & VRTSgab packages using the following command:
       "rpm -Uvh VRTSllt-5.1.40.01-MP2P1_ESX30.i686.rpm \
                 VRTSgab-5.1.40.01-MP2P1_ESX30.i686.rpm"

5. Bring up LLT, GAB by using the following commands:

       "/etc/init.d/llt start"
       "/etc/init.d/gab start"

6. Bring up VCS on all the nodes

       "hastart"

7. Power on virtual machines on ESX if they were stopped in step 1.



Legacy ID



308934


Article URL http://www.symantec.com/docs/TECH63599


Terms of use for this information are found in Legal Notices